import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 水质系统维护
import waterQualitySystem from '../components/waterQuality/waterQualitySystem.vue'
// 水质监测点维护
import waterMonitoringStations from '../components/waterQuality/waterMonitoringStations.vue'
// 水质监测项目维护
import waterMonitoringItem from '../components/waterQuality/waterMonitoringItem.vue'
// 水质监测计划制定
import waterMonitoringPlan from '../components/waterQuality/waterMonitoringPlan.vue'
// 水质标准指标制定
import waterStandardIndex from '../components/waterQuality/waterStandardIndex.vue'
// 水质监测日数据录入
import waterMonitoringDayData from '../components/waterQuality/waterMonitoringDayData.vue'
// 水质监测月数据录入
import waterMonitoringMonthData from '../components/waterQuality/waterMonitoringMonthData.vue'
// 水质监测数据查询
import waterMonitoringDataQuery from '../components/waterQuality/waterMonitoringDataQuery.vue'
// 水质历史数据对比分析
import waterHistoryContrastAnalysis from '../components/waterQuality/waterHistoryContrastAnalysis.vue'
// 水质质量考核指标统计
import waterMonitoringAssessStatistical from '../components/waterQuality/waterMonitoringAssessStatistical.vue'
// 动力系统维护
import powerQualitySystem from '../components/power/powerQualitySystem.vue'
// 动力监测点维护
import powerMonitoringStations from '../components/power/powerMonitoringStations.vue'
// 动力监测项目维护
import powerMonitoringItem from '../components/power/powerMonitoringItem.vue'
// 动力监测计划制定
import powerMonitoringPlan from '../components/power/powerMonitoringPlan.vue'
// 动力标准指标制定
import powerStandardIndex from '../components/power/powerStandardIndex.vue'
// 动力监测日数据录入
import powerMonitoringDayData from '../components/power/powerMonitoringDayData.vue'
// 动力监测月数据录入
import powerMonitoringMonthData from '../components/power/powerMonitoringMonthData.vue'
// 动力监测数据查询
import powerMonitoringDataQuery from '../components/power/powerMonitoringDataQuery.vue'
// 动力历史数据对比分析
import powerHistoryContrastAnalysis from '../components/power/powerHistoryContrastAnalysis.vue'
// 动力质量考核指标统计
import powerMonitoringAssessStatistical from '../components/power/powerMonitoringAssessStatistical.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'waterQualitySystem'
        },
        children: [
            {
                path: 'waterQualitySystem',
                name: 'waterQualitySystem',
                component: waterQualitySystem
            },
            {
                path: 'waterMonitoringStations',
                name: 'waterMonitoringStations',
                component: waterMonitoringStations
            },
            {
                path: 'waterMonitoringItem',
                name: 'waterMonitoringItem',
                component: waterMonitoringItem
            },
            {
                path: 'waterMonitoringPlan',
                name: 'waterMonitoringPlan',
                component: waterMonitoringPlan
            },
            {
                path: 'waterStandardIndex',
                name: 'waterStandardIndex',
                component: waterStandardIndex
            },
            {
                path: 'waterMonitoringDayData',
                name: 'waterMonitoringDayData',
                component: waterMonitoringDayData
            },
            {
                path: 'waterMonitoringMonthData',
                name: 'waterMonitoringMonthData',
                component: waterMonitoringMonthData
            },
            {
                path: 'waterMonitoringDataQuery',
                name: 'waterMonitoringDataQuery',
                component: waterMonitoringDataQuery
            },
            {
                path: 'waterHistoryContrastAnalysis',
                name: 'waterHistoryContrastAnalysis',
                component: waterHistoryContrastAnalysis
            },
            {
                path: 'waterMonitoringAssessStatistical',
                name: 'waterMonitoringAssessStatistical',
                component: waterMonitoringAssessStatistical
            },
            {
                path: 'powerQualitySystem',
                name: 'powerQualitySystem',
                component: powerQualitySystem
            },
            {
                path: 'powerMonitoringStations',
                name: 'powerMonitoringStations',
                component: powerMonitoringStations
            },
            {
                path: 'powerMonitoringItem',
                name: 'powerMonitoringItem',
                component: powerMonitoringItem
            },
            {
                path: 'powerMonitoringPlan',
                name: 'powerMonitoringPlan',
                component: powerMonitoringPlan
            },
            {
                path: 'powerStandardIndex',
                name: 'powerStandardIndex',
                component: powerStandardIndex
            },
            {
                path: 'powerMonitoringDayData',
                name: 'powerMonitoringDayData',
                component: powerMonitoringDayData
            },
            {
                path: 'powerMonitoringMonthData',
                name: 'powerMonitoringMonthData',
                component: powerMonitoringMonthData
            },
            {
                path: 'powerMonitoringDataQuery',
                name: 'powerMonitoringDataQuery',
                component: powerMonitoringDataQuery
            },
            {
                path: 'powerHistoryContrastAnalysis',
                name: 'powerHistoryContrastAnalysis',
                component: powerHistoryContrastAnalysis
            },
            {
                path: 'powerMonitoringAssessStatistical',
                name: 'powerMonitoringAssessStatistical',
                component: powerMonitoringAssessStatistical
            }
        ]
    }]
})
